Bric::Util::Coll::Keyword(3p)

NAME
Bric::Util::Coll::Keyword - Interface for managing collections of Bric::Biz::Keyword objects.

VERSION
$LastChangedRevision$

DATE
$LastChangedDate: 2004-09-14 02:48:55 +0200 (Tue, 14 Sep 2004) $

SYNOPSIS
See Bric::Util::Coll.

DESCRIPTION
See Bric::Util::Coll.

INTERFACE

  Constructors
Inherited from Bric::Util::Coll.

  Destructors

$org->DESTROY
    Dummy method to prevent wasting time trying to AUTOLOAD DESTROY.

    Throws: NONE.

    Side Effects: NONE.

    Notes: NONE.

  Public Class Methods

Bric::Util::Coll->class_name()
    Returns the name of the class of objects this collection manages.

    Throws: NONE.

    Side Effects: NONE.

    Notes: NONE.

  Public Instance Methods

$self = $coll->save($object);
    Saves the changes made to all the keywors in the collection.

    Throws:

    *   Bric::_get() - Problems retrieving fields.

    *   Unable to connect to database.

    *   Unable to prepare SQL statement.

    *   Unable to execute SQL statement.

    *   Unable to select row.

    *   Incorrect number of args to _set.

    *   Bric::_set() - Problems setting fields.

    Side Effects: NONE.

    Notes: NONE.

PRIVATE

  Private Class Methods

Bric::Util::Coll::Keyword->_sort_objs($objs_href)
    Sorts a list of objects into an internally-specified order. This class sorts keywrd objects by sort name.

    Throws: NONE.

    Side Effects: NONE.

    Notes: NONE.

  Private Instance Methods
NONE.

  Private Functions
NONE.

NOTES
NONE.

AUTHOR
Arthur Bergman <sky@nanisky.com>

SEE ALSO
Bric, Bric::Util::Coll, Bric::Biz::Keyword